Subject: Re: [PATCH v1 2/2] net: emac: fix and unify emac_mdio functions

From: Andrew Lunn <[email-masked]>
Date: Mon, 5 Jun 2017 23:43:33 +0200

On Mon, Jun 05, 2017 at 10:49:40PM +0200, Christian Lamparter wrote:
> emac_mdio_read_link() was not copying the requested phy settings
> back into the emac driver's own phy api. This has caused a link
> speed mismatch issue for the AR8035 as the emac driver kept
> trying to connect with 10/100MBps on a 1GBit/s link.

Hi Christian

In the long run, you might want to remove the emac phy drivers. Linux
has PHYLIB drivers for all but the bcm5248.

       Andrew